
@import url("../search/HolidaySearchSidebar.css");
@import url("../search/SearchTabModals.css");
@import url('../components/Popups.css');
@import url('../components/DealBox.css');
@import url('../components/Pagination.css');
@import url('../components/SortByOption.css');

/****** SEARCH RESULTS START******/

.filter-button {
    border-bottom: 1px solid #d3d3d3;
    text-align: center;
    padding: 10px;
    box-shadow: 0px 2px 4px 0px rgb(0 0 0 / 16%);
    font-size: 15px;
}
.noUi-connect{
    background: var(--primary-color) !important;
}



.card.pack_wrapper_search {
    border: 2px solid var(--primary-color);
    border-radius: var(--main-border-radius);
    box-shadow: var(--search-results-box-shadow) var(--search-results-box-shadow-color);
    padding: 20px 10px 15px 10px;
}

.pack_wrapper_search .rating {
    vertical-align: middle;
}

    .pack_wrapper_search .rating .tripadvisor_rating {
        text-align: right;
    }

.pack_wrapper_search .tripadvisor_rating .taReviewTxt {
    font-size: 12px;
    padding-right: 10px;
    margin-bottom: 0px;
}


.pack_wrapper_search .hotelTitleSection {
    padding-left: 15px;
}

.pack_wrapper_search .hotelTitle {
    color: var(--dark-text-color);
    margin-bottom: 0px;
}

    .pack_wrapper_search .hotelTitle:hover {
        color: var(--dark-text-color);
    }

.pack_wrapper_search .resortTxt {
    color: #707070;
    font-size: 13px;
    margin-bottom: 0px;
}

.pack_wrapper_search .searchResultImage img {
    width: 100%;
    border-radius: var(--main-border-radius);
    height:240px;
}

.pack_wrapper_search .searchResultImage .searchMediaBtn {
    position: absolute;
    top: 0px;
    right: 0px;
    padding: 15px 20px;
    border-radius: var(--main-border-radius) 0px var(--main-border-radius) 0px;
}

.pack_wrapper_search .price_box .price.hotel .totalPriceSection small {
    font-size: inherit !important;
}

.searchResultImage {
    position: relative;
    height: auto;
    max-height: 250px;
    margin-bottom: 15px;
}

    .searchResultImage .carousel-hotelImages ul {
        padding-bottom: 0px !important;
    }

    .searchResultImage .carousel-hotelImages .splide__arrow {
        background: white;
        opacity: .9;
    }

        .searchResultImage .carousel-hotelImages .splide__arrow svg {
            width: 0.8em;
            height: 0.8em;
        }

    .searchResultImage .carousel-hotelImages .splide__arrows {
        display: none;
    }

    .searchResultImage .carousel-hotelImages .splide__arrow:disabled {
        display: none;
    }

    .searchResultImage .carousel-hotelImages:hover .splide__arrows {
        display: block;
    }


.pack_wrapper_search .searchResultImage .searchMediaBtn a {
    color: white;
    font-size: 18px;
}

.pack_wrapper_search .searchResultImage .searchShareBtn {
    position: absolute;
    bottom: 0;
    background: rgba(0,0,0,0.5);
    padding: 0px 15px;
}

    .pack_wrapper_search .searchResultImage .searchShareBtn.Left {
        border-radius: 0px var(--main-border-radius) 0px var(--main-border-radius);
        left: 0;
    }

    .pack_wrapper_search .searchResultImage .searchShareBtn.Right {
        border-radius: var(--main-border-radius) 0px var(--main-border-radius) 0px;
        right: 0;
    }

    .pack_wrapper_search .searchResultImage .searchShareBtn a {
        color: white;
        display: block;
        font-size: 18px;
        padding: 0px 0px;
        height: 25%;
        line-height: 3;
    }
    .pack_wrapper_search .searchResultImage .searchShareBtn span {
        color: #fff;
        display: block;
        font-size: 18px;
        padding: 0;
        height: 25%;
        line-height: 3;
        cursor: pointer;
    }



#price-update .modal-dialog .modal-content {
    width: 70% !important;
}

#price-update {
    background: rgba(2,170,169,.6) !important;
}

.pack_wrapper_search .searchResultPrice .price_box .price .totalSum {
    font-size: 30px;
    font-weight: bold;
    font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
}

    .pack_wrapper_search .searchResultPrice .price_box .price .totalSum small {
        font-size: inherit;
        font-weight: inherit;
    }

span.tooltiptext {
    display: none;
}

.pack_wrapper_search .searchResultPrice .price_box .match_price_box {
    font-size: 12px;
    color: #289600;
    line-height: 1.3;
}

    .pack_wrapper_search .searchResultPrice .price_box .match_price_box .title {
        font-size: 13px;
        font-weight: 700;
        color: #222222;
    }

strong.title {
}

.accom-events .card {
    background: #ffffff !important;
    border-radius: var(--small-border-radius);
    border: 0;
    box-shadow: 0 3px 6px 0 rgb(0 0 0 / 10%), 0 1px 3px 0 rgb(0 0 0 / 8%);
    font-size: 13px;
}

    .accom-events .card .price {
        font-size: 15px;
        font-weight: 700;
        margin: 10px 0;
    }

    .accom-events .card .card-body {
        padding: 15px 10px;
        line-height: 1;
    }

.accom-events .splide .splide__list {
    padding-bottom: 0;
}

.accom-events .splide__arrow--prev {
    left: 0;
}

.accom-events .splide__arrow--next {
    right: 0;
}

.pack_wrapper_search .searchResultPrice .price_box .match_price_box .icon-tick {
    font-size: 18px;
    display: inline-block;
    vertical-align: top;
}

.pack_wrapper_search .searchResultPrice .price_box .match_price_box .text-section {
    display: inline-block;
    padding-left: 5px;
    width: 80%;
}

.pack_wrapper_search .searchResultPrice .price_box .price .totalPriceSection {
    margin-top: 8px;
    margin-bottom: 0px;
}

.pack_wrapper_search .searchResultPrice .price_box .discountSection {
    text-align: right;
    color: red;
    font-size: 15px;
    font-weight: 500;
    padding-right: 20px;
}

.pack_wrapper_search .searchResultPrice .price_box .secureSection {
    background: var(--dark-green);
    color: white;
    padding-left: 10px;
    line-height: 2;
    border-radius: var(--main-border-radius) 0px 0px var(--main-border-radius);
    margin-left: 15%;
}

.pack_wrapper_search .searchResultPrice {
    padding-right: 0px;
}

    .pack_wrapper_search .searchResultPrice .price_box .secureSection .depositPricepp {
        float: right;
    }

    .pack_wrapper_search .searchResultPrice .price_box .secureSection .depsotPricepp {
        float: right;
        background: red;
        padding: 0px 20px;
        font-weight: 700;
    }

    .pack_wrapper_search .searchResultPrice .price_box .secureSection small {
        font-size: 12px;
    }

    .pack_wrapper_search .searchResultPrice .price_box .continue_detail {
        text-align: center;
        margin-top: 10px;
        color: var(--dark-text-color);
    }

        .pack_wrapper_search .searchResultPrice .price_box .continue_detail .card_btn .ctaBtn {
            font-size: 16px;
            font-weight: 700;
            background: var(--primary-color);
            color: white;
            border: none;
            border-radius: var(--small-border-radius);
            padding: 10px 5px;
        }

            .pack_wrapper_search .searchResultPrice .price_box .continue_detail .card_btn .ctaBtn:hover {
                background: var(--primary-color-2);
            }

        .pack_wrapper_search .searchResultPrice .price_box .continue_detail .card_btn {
            padding: 0px 10px;
        }

        .pack_wrapper_search .searchResultPrice .price_box .continue_detail .btnAtol {
            color: green;
            margin-top: 7px;
            text-decoration: none;
            margin-bottom: 0px;
        }

            .pack_wrapper_search .searchResultPrice .price_box .continue_detail .btnAtol img {
                margin-top: 0px;
                vertical-align: top;
                height: 22px;
            }

            .pack_wrapper_search .searchResultPrice .price_box .continue_detail .btnAtol span {
                display: inline-block;
                color: var(--dark-text-color);
                font-size: 16px;
                text-decoration: none;
                margin-left: 5px;
                border-bottom-color: #4a4a4a;
                font-weight: 600;
                text-decoration: underline dotted;
                cursor: pointer;
            }


.flightPopupLogoHeader {
    padding: 10px 30px;
    margin-bottom: 15px;
}

.flightDetails {
    padding: 20px 40px;
}

    .flightDetails .title {
        font-size: 30px;
        font-weight: 700;
        color: #222222;
        line-height: 1;
    }

        .flightDetails .title img {
            height: 33px;
            vertical-align: sub;
            margin-right: 15px;
        }

    .flightDetails .flight-airplane-icon {
        background: var(--dark-text-color);
        height: 2px;
        width: 90%;
        margin: 0.375rem auto 0;
        padding: 0;
        position: relative;
        border-radius: var(--small-border-radius);
        display: block;
        text-align: center;
        line-height: 0;
    }

    .flightDetails .depart-block h3 {
        font-size: 30px;
        margin-bottom: 0px;
    }

    .flightDetails .depart-block h4 {
        margin-bottom: 0;
        font-weight: 700;
        font-size: 16px;
    }

    .flightDetails .depart-block p {
        margin-bottom: 0px;
    }

    .flightDetails .depart-block {
        font-size: 18px;
        text-align: right;
        margin-right: 20px;
        color: var(--dark-text-color);
    }

    .flightDetails .arrival-block h4 {
        margin-bottom: 0;
        font-weight: 700;
        font-size: 16px;
    }

    .flightDetails .arrival-block h3 {
        font-size: 30px;
        margin-bottom: 0px;
    }

    .flightDetails .arrival-block p {
        margin-bottom: 0px;
    }

    .flightDetails .arrival-block {
        font-size: 18px;
        text-align: left;
        margin-right: 20px;
        color: var(--dark-text-color);
    }

    .flightDetails .titleSection {
        margin-bottom: 20px;
    }

    .flightDetails .flight-icon-block .flight-airplane-icon:after {
        content: "";
        width: 20px;
        height: 20px;
        display: block;
        position: absolute;
        right: -0.375rem;
        top: 50%;
        margin-top: -10px;
        background-image: url("data:image/svg+xml;charset=utf-8,<svg xmlns=    'http://www.w3.org/2000/svg' viewBox='0 0 12 12'><path fill='%233c4e5a' d='M3.922 12h.499a.52.52 0 0 0 .444-.247L7.949 6.8l3.233-.019A.8.8 0 0 0 12 6a.8.8 0 0 0-.818-.781L7.949 5.2 4.866.246A.525.525 0 0 0 4.421 0h-.499a.523.523 0 0 0-.489.71L5.149 5.2H2.296l-.664-1.33a.523.523 0 0 0-.436-.288L0 3.509 1.097 6 0 8.491l1.196-.073a.523.523 0 0 0 .436-.288l.664-1.33h2.853l-1.716 4.49a.523.523 0 0 0 .489.71'/></svg>");
        background-color: #fff;
        background-repeat: no-repeat;
        background-position: 100% 50%;
        background-size: 20px;
    }

    .flightDetails .flight-icon-block {
        text-align: center;
    }

        .flightDetails .flight-icon-block p {
            margin-bottom: 0px;
        }

    .flightDetails .flightDetailFooter {
        color: green;
        font-size: 13px;
        line-height: 1.5;
    }

        .flightDetails .flightDetailFooter .fontBold {
            font-weight: 700;
        }


    .flightDetails .flight-number-block img {
        width: 80%;
        max-width: 80px;
        margin: 10px 0px;
    }

    .flightDetails .flight-number-block h4 {
        margin-bottom: 0px;
    }

.hotelPopupLogoHeader h3 {
    font-size: 28px;
    font-weight: 700;
    padding: 15px;
    margin-bottom: 0px;
}

.hotelDetails {
    padding: 0px 20px;
}

    .hotelDetails .hotelDetailFooter {
        margin: 0px;
        padding: 5px 20px;
        font-size: 13px;
        width: 100%;
        line-height: 1.5;
    }

        .hotelDetails .hotelDetailFooter .fontBold {
            font-weight: 700;
        }

    .hotelDetails .hotelPicture {
        text-align: right;
    }

        .hotelDetails .hotelPicture img.hotelImage {
            width: 100%;
            border-radius: var(--main-border-radius);
        }

.hotelDetails {
    padding: 0px 20px;
    color: #141515;
}

    .hotelDetails .resortTxt {
        font-size: 16px;
        font-weight: 500;
        color: var(--primary-text-color);
    }

    .hotelDetails .searchResult_date {
        font-size: 20px;
        font-weight: 700;
    }

    .hotelDetails .searchResult_normalText {
        font-size: 16px;
    }

        .hotelDetails .searchResult_normalText i {
            margin-right: 10px;
        }


.SearchResultsBody .searchtabSummary {
    padding: 15px;
}

    .SearchResultsBody .searchtabSummary .rounded_btn {
        background: white;
        border-radius: var(--small-border-radius);
        padding: 0px 10px;
        box-shadow: 0px 2px 5px 0px #707070;
    }

        .SearchResultsBody .searchtabSummary .rounded_btn ion-icon {
            font-size: 20px;
            margin: auto;
        }

        .SearchResultsBody .searchtabSummary .rounded_btn .searchTabsSummaryCell {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            padding-left: 10px;
        }

        .SearchResultsBody .searchtabSummary .rounded_btn .departure {
            font-size: 15px;
            border-bottom: 1px solid lightgray;
            padding: 5px;
        }

        .SearchResultsBody .searchtabSummary .rounded_btn .departuredate_adults {
            padding: 5px;
            font-size: 15px;
            text-align: center;
        }

            .SearchResultsBody .searchtabSummary .rounded_btn .departuredate_adults .departuredate {
                padding-right: 8px;
            }

            .SearchResultsBody .searchtabSummary .rounded_btn .departuredate_adults .s_adults {
                padding-left: 8px;
            }

/****** SEARCH RESULTS END******/
/****************Search Results Loading Section Start*******************/
.loadingSection {
    display: none;
    margin-top:20px;
}

.blank-text {
    background-color: lightgray !important;
    color: transparent !important;
}

.loadingSection .pack_wrapper_search .searchResultImage .searchShareBtn {
    background: rgb(0 0 0 / 7%);
}

.loadingSection i {
    color: lightgray;
}

.loadingSection .searchResultImage i {
    color: rgba(0,0,0,0.1);
}

.loadingSection .pack_wrapper_search .searchResultImage .searchMediaBtn {
    opacity: 0.2;
}

.loadingSection .searchResult_blockText {
    text-decoration: none !important;
}

.blank-btn {
    border-radius: var(--main-border-radius);
    height: 45px;
}

.loadingSection .card.pack_wrapper_search {
    border-color: lightgray !important;
}
/****************Search Results Loading Section End*******************/


/*********Tool tip start***********/
.hotelTitle .tooltip-container {
    top: 50px;
    left: -165px;
    /*background: #fff;
    color: var(--primary-text-color);*/
    width: 400px;
    border-radius: var(--main-border-radius);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}
.hotelTitle .tooltip-basic .tooltip-container.bottom:before {
    /*border-color: transparent transparent rgba(255, 255, 255, 1) transparent;*/
}

.hotelTitle .tooltip-basic .tooltip-container.right {
    right: 121%;
    left: auto;
    top: -52px;
    width: 250px;
}

.tooltip-basic .tooltip-container.right:before {
    right: -20px;
    top: 50%;
    margin-top: -10px;
    border-width: 10px 10px 10px 10px;
    border-color: transparent transparent transparent rgba(60, 78, 90, 0.95);
}
#map {
    width: 100% !important; /* Full width of the modal body */
    height: 100% !important; /* Fixed height for the map */
    position: relative;
}
.map-thumbnail {
    position: relative;
    width: 100%; /* Set thumbnail width */
    height: 200px; /* Set thumbnail height */
    border: 1px solid #ddd;
    border-radius: 8px;
    overflow: hidden;
    margin-top: 20px;
}

#map-thumbnail {
    width: 100%;
    height: 100%;
}

.show-on-map-button {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    padding: 8px 12px;
    background-color: var(--primary-color);
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
}

    .show-on-map-button:hover {
        background-color: var(--primary-color-2);
    }
.price-marker {
    background-color: #1E90FF;
    color: white;
    padding: 5px 10px;
    border-radius: 5px;
    font-size: 14px;
    font-weight: bold;
    text-align: center;
    cursor: pointer;
    white-space: nowrap;
    box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.3);
}